> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update template

> Update a checklist template of an asset provider



## OpenAPI

````yaml /api-reference/m2m-api.yml put /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/checklist/template/{templateEntryId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/checklist/template/{templateEntryId}:
    put:
      tags:
        - Checklist
      summary: Update template
      description: Update a checklist template of an asset provider
      operationId: updateChecklistTemplate
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: templateEntryId
          in: path
          description: Id of checklist template
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        description: >-
          The request body contains the checklist template that should be
          created
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChecklistTemplateRequest'
      responses:
        '200':
          description: Updated checklist template
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChecklistTemplateResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the asset provider or template
      security:
        - oauth:
            - openid
components:
  schemas:
    ChecklistTemplateRequest:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          description: Title of checklist template
        note:
          type: string
          description: Content of checklist template
    ChecklistTemplateResponse:
      type: object
      required:
        - id
        - title
      properties:
        id:
          type: integer
        title:
          type: string
          description: Title of checklist template
        note:
          type: string
          description: Content of checklist template
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````